Subject: bug#14013: 24.3.50; dired-isearch-filenames-regexp is matching text outside filenames

From: Juri Linkov <[email-masked]>
Date: Tue, 15 Feb 2022 21:25:06 +0200

> Just an idea: Seems that currently \= matches the position at the
> beginning of the file names!  Could we maybe just guarantee and document
> that?

Nice finding.  This works reliably only because the search function puts point
at the beginning of every file name during search.

> If \= works reliably, we may also transform a leading \` in the regexp
> into \=.  ^ is not so important in my eyes, it's easier to type than \`,
> but the semantics of "beginning of line" is not as clear in this context
> as "beginning of the object searched". If \= and \` would work, I would
> be very happy.

Since ^ is easier to type, maybe both ^ and \` should be transformed into \=.